package transportgrpc

import (
	"git.perx.ru/perxis/perxis-go/pkg/clients"
	"git.perx.ru/perxis/perxis-go/pkg/clients/transport"
	grpcerr "git.perx.ru/perxis/perxis-go/pkg/errors/grpc"
	pb "git.perx.ru/perxis/perxis-go/proto/clients"
	grpckit "github.com/go-kit/kit/transport/grpc"
)

func NewServer(svc clients.Clients, opts ...grpckit.ServerOption) pb.ClientsServer {
	eps := transport.Endpoints(svc)
	eps = transport.EndpointsSet{
		CreateEndpoint: grpcerr.ServerMiddleware(eps.CreateEndpoint),
		GetEndpoint:    grpcerr.ServerMiddleware(eps.GetEndpoint),
		GetByEndpoint:  grpcerr.ServerMiddleware(eps.GetByEndpoint),
		ListEndpoint:   grpcerr.ServerMiddleware(eps.ListEndpoint),
		UpdateEndpoint: grpcerr.ServerMiddleware(eps.UpdateEndpoint),
		DeleteEndpoint: grpcerr.ServerMiddleware(eps.DeleteEndpoint),
		EnableEndpoint: grpcerr.ServerMiddleware(eps.EnableEndpoint),
	}
	return NewGRPCServer(&eps, opts...)
}
