package locales

import (
	"git.perx.ru/perxis/perxis-go/pkg/errors"
	"git.perx.ru/perxis/perxis-go/pkg/service"
)

var (
	ErrNotFound                       = service.ErrNotFound
	ErrAlreadyExists                  = service.ErrAlreadyExists
	ErrSpaceIDRequired                = errors.New("space id is required")
	ErrLocaleValueEmpty               = errors.New("locale value cannot be empty")
	ErrLocaleIDRequired               = errors.New("locale id is required")
	ErrLocaleCodeRequired             = errors.New("locale code is required")
	ErrSetSelfAsFallback              = errors.New("cannot set self as fallback")
	ErrDisableDefaultLocale           = errors.New("cannot disable default locale")
	ErrDisablePublishingDefaultLocale = errors.New("cannot disable publishing for default locale")
	ErrSetDefaultLocaleFallback       = errors.New("cannot set fallback for default locale")
	ErrDeleteDefaultLocale            = errors.New("cannot delete default locale")
	ErrDeleteFallbackLocale           = errors.New("cannot delete locale that is used as fallback for other locales")
	ErrCircularDependency             = errors.New("fallback locales contain cycles")
)
